Subject: Re: bug#26353: TeX Live

From: ng0 <[email-masked]>
Date: Thu, 1 Jun 2017 11:17:15 +0000

Ludovic Courtès transcribed 1.3K bytes:
> Marius Bakke <[email-masked]> skribis:
> 
> > Ludovic Courtès <[email-masked]> writes:
> >
> >> Hi Danny!
> >>
> >> Danny Milosavljevic <[email-masked]> skribis:
> >>
> >>> 70 GiB non-home root partition seems also be too small for it all. I have to do guix gc quite often - I'll have to repartition somewhen.
> >>>
> >>> texlive finally downloaded correctly *shrugs*.  Texlive is really getting on my nerves - isn't it possible to modularize it more?  Also, one shouldn't require 2 GiB for a word processor and DTP. *mumble mumble*
> >>
> >> TeX Live is getting on everybody’s nerves.  :-)
> >>
> >> There are ways to turn it into a zillion packages from CTAN, which is
> >> what Nixpkgs did.  Ricardo (I think?) had some thoughts as to how to
> >> achieve this and I would really like to see it happen.
> >
> > That would be great. I miss this snippet from my ~/.nixpkgs/config.nix:
> >
> >     myTex = pkgs.texlive.combine {
> >       inherit (texlive) scheme-small marginnote sectsty cm-super enumitem
> >       xifthen ifmtarg unicode-math filehook collection-fontsrecommended
> >       collection-fontsextra libertine gentium-tug ucharcat;
> >     };
> 
> Yeah, I agree.  Hopefully a profile hook could do what
> pkgs.texlive.combine does, which would make it more convenient.  Then we
> also need a CTAN importer…
> 
> Ludo’.
> 
> 
> 

Importers for the importer deity!

But seriously, whoever manages to split Texlive up gets a free non-alcoholic
drink if I should ever meet the person at a conference or somewhere else!
-- 
ng0
OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588